"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.subscribeToOrientationChanges = void 0;
const motion_1 = require("@capacitor/motion");
const save_motion_info_1 = require("./save-motion-info");
function subscribeToOrientationChanges({ deep, deviceLinkId, }) {
    return __awaiter(this, void 0, void 0, function* () {
        return motion_1.Motion.addListener('orientation', (rotationRate) => __awaiter(this, void 0, void 0, function* () {
            yield (0, save_motion_info_1.saveMotionInfo)({
                deep,
                deviceLinkId,
                info: {
                    rotationRate,
                },
            });
        }));
    });
}
exports.subscribeToOrientationChanges = subscribeToOrientationChanges;
